Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.otd.httpserveradapter.webservice
Class CookieList

    java.lang.Object
      com.stc.connector.otd.httpserveradapter.webservice.CookieList

All Implemented Interfaces:
  com.stc.connector.persistence.bpel.PersistableData

    public class CookieList

extends java.lang.Object
implements com.stc.connector.persistence.bpel.PersistableData

Constructor Summary
`CookieList()` Creates a new instance of CookieList

Method Summary
`int` | `countCookieList()` Gets the count of cookies in the list.
`Cookie[]` | `getCookieList()` Gets a CookieList as an array of Cookie.
`Cookie` | `getCookieList(int i)` Gets a Cookie at a specified index.
`void` | `persist(com.stc.connector.persistence.bpel.DataOutput dos)` Persists (serialize) this message.
`void` | `restore(com.stc.connector.persistence.bpel.DataInput dis)` Restore (deserialize) this message.
`void` | `setCookieList(Cookie[] cookieArray)` Sets a CookieList from an array of Cookie.
`void` | `setCookieList(int i, Cookie cookie)` Sets a WebHeader at a specified index.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CookieList

    public CookieList()

  Creates a new instance of CookieList

Method Detail

### setCookieList

    public void setCookieList(Cookie[] cookieArray)

  Sets a CookieList from an array of Cookie.

  Parameters:
    `cookieArray` - The Cookie array

### getCookieList

    public Cookie[] getCookieList()

  Gets a CookieList as an array of Cookie.

  Returns:
    The array of Cookie.

### setCookieList

    public void setCookieList(int i,
                              Cookie cookie)

  Sets a WebHeader at a specified index.

  Parameters:
    `i` - Index to set.
    `cookie` - The Cookie

### getCookieList

    public Cookie getCookieList(int i)

  Gets a Cookie at a specified index.

  Parameters:
    `i` - Index of the cookie to get.
  Returns:
    The cookie at the specificed index i.

### countCookieList

    public int countCookieList()

  Gets the count of cookies in the list.

  Returns:
    The count of cookies.

### persist

    public void persist(com.stc.connector.persistence.bpel.DataOutput dos)
                 throws java.lang.Exception

  Persists (serialize) this message.

  Specified by:
    `persist` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dos` - The DataOutputStream to which the Java Bean message is persisted.
  Throws:
    `java.lang.Exception` - upon error.

### restore

    public void restore(com.stc.connector.persistence.bpel.DataInput dis)
                 throws java.lang.Exception

  Restore (deserialize) this message.

  Specified by:
    `restore` in interface `com.stc.connector.persistence.bpel.PersistableData`
  Parameters:
    `dis` - The DataInputStream from which the Java Bean message is restored.
  Throws:
    `java.lang.Exception` - upon error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for HTTP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Sun Microsystems, Inc. All Rights Reserved.